package com.mobvista.apptag;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.servlet.ServletContext;

@EnableTransactionManagement
@ServletComponentScan
@SpringBootApplication
@MapperScan("com.mobvista.apptag.mapper")
public class ApptagApplication {

	public static void main(String[] args) {
		SpringApplication.run(ApptagApplication.class, args);
	}
}
